Skip to main content
GET
/
v1
/
businesses
/
{businessId}
/
payouts
List payouts
curl --request GET \
  --url https://sandbox.layerfi.com/v1/businesses/{businessId}/payouts \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "type": "Payout",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "external_id": "payout-1234",
      "business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "paid_out_amount": 123,
      "fee": 123,
      "processor": "STRIPE",
      "payment_clearing_account": {
        "type": "Single_Chart_Account",
        "id": {
          "type": "AccountId",
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        },
        "name": "Current Assets",
        "account_number": "4000",
        "stable_name": {
          "type": "StableName",
          "stable_name": "CURRENT_ASSETS"
        },
        "account_type": {
          "display_name": "Asset"
        },
        "account_subtype": {
          "display_name": "Current Assets"
        }
      },
      "imported_at": "2023-11-07T05:31:56Z",
      "completed_at": "2023-11-07T05:31:56Z",
      "match": {
        "id": "6b0a3734-f4ef-4fb0-9fc1-3f59b0c1cf99",
        "match_type": "PAYOUT",
        "bank_transaction": {
          "type": "Bank_Transaction_Data",
          "id": "a703c8d6-cfe8-453d-a275-b92eacc6fc6e",
          "business_id": "738ec216-e8e5-48f2-b7f2-cdc89c96b3d4",
          "source": "STRIPE",
          "source_transaction_id": "trxn_1sdOeLQiFAKE2LQBkcvrJw95f",
          "source_account_id": "738ec216-e154-48f2-1111-cdc89c96b3d4",
          "imported_at": "2024-03-19T22:09:53.290591Z",
          "date": "2024-03-06T06:06:40Z",
          "direction": "CREDIT",
          "amount": 87459,
          "counterparty_name": null,
          "description": "Payout (po_1OqnTHISISFAKEiTVBkCiyAERwm).",
          "account_name": "Layer Banking",
          "categorization_status": "MATCHED"
        },
        "details": {
          "type": "Payout_Match",
          "id": "d224508b-b05e-41da-89de-0fbd8a573507",
          "amount": 87459,
          "date": "2024-03-06T00:00:00Z",
          "description": "Payout from STRIPE.",
          "adjustment": null
        }
      },
      "payments": [
        {
          "type": "Invoice_Payment",
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "external_id": "payment-1",
          "customer": {
            "type": "CustomerData",
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "external_id": "31415926535",
            "individual_name": "<string>",
            "company_name": "<string>",
            "email": "<string>",
            "mobile_phone": "<string>",
            "office_phone": "<string>",
            "address_string": "<string>",
            "memo": "<string>",
            "status": "ACTIVE",
            "transaction_tags": [
              {
                "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                "key": "ExampleTagKey",
                "value": "ExampleTagValue",
                "dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                "definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                "dimension_display_name": "<string>",
                "value_display_name": "<string>",
                "archived_at": "2023-11-07T05:31:56Z"
              }
            ]
          },
          "at": "2023-11-07T05:31:56Z",
          "fee": 123,
          "prepayment_account": {
            "type": "AccountId",
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          },
          "payment_clearing_account": {
            "type": "Single_Chart_Account",
            "id": {
              "type": "AccountId",
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
            },
            "name": "Current Assets",
            "account_number": "4000",
            "stable_name": {
              "type": "StableName",
              "stable_name": "CURRENT_ASSETS"
            },
            "account_type": {
              "display_name": "Asset"
            },
            "account_subtype": {
              "display_name": "Current Assets"
            }
          },
          "additional_fees": [
            {
              "fee_amount": 123,
              "description": "<string>",
              "account": {
                "type": "AccountId",
                "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
              },
              "is_passed_to_customer": true
            }
          ],
          "amount": 123,
          "processor": "STRIPE",
          "imported_at": "2023-11-07T05:31:56Z",
          "allocations": [
            {
              "invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "amount": 123,
              "amount_net_of_refunds": 123,
              "transaction_tags": [
                {
                  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                  "key": "ExampleTagKey",
                  "value": "ExampleTagValue",
                  "dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                  "definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                  "dimension_display_name": "<string>",
                  "value_display_name": "<string>",
                  "archived_at": "2023-11-07T05:31:56Z"
                }
              ],
              "memo": "<string>",
              "metadata": {
                "custom_field": "value",
                "any valid json": "below 1kb",
                "nested": {
                  "meaning of life": 42,
                  "array": []
                }
              },
              "reference_number": "<string>"
            }
          ],
          "refund_allocations": [],
          "payouts": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "external_id": "payout-1234",
              "business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "paid_out_amount": 123,
              "fee": 123,
              "processor": "STRIPE",
              "payment_clearing_account": {
                "type": "Single_Chart_Account",
                "id": {
                  "type": "AccountId",
                  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
                },
                "name": "Current Assets",
                "account_number": "4000",
                "stable_name": {
                  "type": "StableName",
                  "stable_name": "CURRENT_ASSETS"
                },
                "account_type": {
                  "display_name": "Asset"
                },
                "account_subtype": {
                  "display_name": "Current Assets"
                }
              },
              "imported_at": "2023-11-07T05:31:56Z",
              "completed_at": "2023-11-07T05:31:56Z",
              "match": {
                "id": "6b0a3734-f4ef-4fb0-9fc1-3f59b0c1cf99",
                "match_type": "PAYOUT",
                "bank_transaction": {
                  "type": "Bank_Transaction_Data",
                  "id": "a703c8d6-cfe8-453d-a275-b92eacc6fc6e",
                  "business_id": "738ec216-e8e5-48f2-b7f2-cdc89c96b3d4",
                  "source": "STRIPE",
                  "source_transaction_id": "trxn_1sdOeLQiFAKE2LQBkcvrJw95f",
                  "source_account_id": "738ec216-e154-48f2-1111-cdc89c96b3d4",
                  "imported_at": "2024-03-19T22:09:53.290591Z",
                  "date": "2024-03-06T06:06:40Z",
                  "direction": "CREDIT",
                  "amount": 87459,
                  "counterparty_name": null,
                  "description": "Payout (po_1OqnTHISISFAKEiTVBkCiyAERwm).",
                  "account_name": "Layer Banking",
                  "categorization_status": "MATCHED"
                },
                "details": {
                  "type": "Payout_Match",
                  "id": "d224508b-b05e-41da-89de-0fbd8a573507",
                  "amount": 87459,
                  "date": "2024-03-06T00:00:00Z",
                  "description": "Payout from STRIPE.",
                  "adjustment": null
                }
              },
              "transaction_tags": [
                {
                  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                  "key": "ExampleTagKey",
                  "value": "ExampleTagValue",
                  "dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                  "definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                  "dimension_display_name": "<string>",
                  "value_display_name": "<string>",
                  "archived_at": "2023-11-07T05:31:56Z"
                }
              ],
              "memo": "<string>",
              "metadata": {
                "custom_field": "value",
                "any valid json": "below 1kb",
                "nested": {
                  "meaning of life": 42,
                  "array": []
                }
              },
              "reference_number": "<string>"
            }
          ],
          "transaction_tags": [],
          "memo": "<string>",
          "metadata": {
            "custom_field": "value",
            "any valid json": "below 1kb",
            "nested": {
              "meaning of life": 42,
              "array": []
            }
          },
          "reference_number": "<string>"
        }
      ],
      "refunds": [
        {
          "type": "Customer_Refund",
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "external_id": "31415926535",
          "refunded_amount": 123,
          "status": "PAID",
          "completed_at": "2023-11-07T05:31:56Z",
          "is_dedicated": true,
          "allocations": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "amount": 123,
              "account_identifier": {
                "type": "AccountId",
                "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
              },
              "invoice_external_id": "<string>",
              "invoice_line_item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "invoice_line_item_external_id": "<string>",
              "invoice_payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "invoice_payment_external_id": "<string>",
              "customer": {
                "type": "CustomerData",
                "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                "external_id": "31415926535",
                "individual_name": "<string>",
                "company_name": "<string>",
                "email": "<string>",
                "mobile_phone": "<string>",
                "office_phone": "<string>",
                "address_string": "<string>",
                "memo": "<string>",
                "status": "ACTIVE",
                "transaction_tags": [
                  {
                    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                    "key": "ExampleTagKey",
                    "value": "ExampleTagValue",
                    "dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                    "definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                    "dimension_display_name": "<string>",
                    "value_display_name": "<string>",
                    "archived_at": "2023-11-07T05:31:56Z"
                  }
                ]
              },
              "transaction_tags": [
                {
                  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                  "key": "ExampleTagKey",
                  "value": "ExampleTagValue",
                  "dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                  "definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                  "dimension_display_name": "<string>",
                  "value_display_name": "<string>",
                  "archived_at": "2023-11-07T05:31:56Z"
                }
              ],
              "memo": "<string>",
              "metadata": {
                "custom_field": "value",
                "any valid json": "below 1kb",
                "nested": {
                  "meaning of life": 42,
                  "array": []
                }
              },
              "reference_number": "<string>"
            }
          ],
          "payments": [
            {
              "type": "Customer_Refund_Payment",
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "external_id": "31415926535",
              "refunded_amount": 123,
              "fee": 123,
              "completed_at": "2023-11-07T05:31:56Z",
              "method": "CREDIT_CARD",
              "processor": "STRIPE",
              "payment_clearing_account": {
                "type": "Single_Chart_Account",
                "id": {
                  "type": "AccountId",
                  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
                },
                "name": "Current Assets",
                "account_number": "4000",
                "stable_name": {
                  "type": "StableName",
                  "stable_name": "CURRENT_ASSETS"
                },
                "account_type": {
                  "display_name": "Asset"
                },
                "account_subtype": {
                  "display_name": "Current Assets"
                }
              },
              "refunded_payment_fees": [
                {
                  "account": {
                    "type": "AccountId",
                    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
                  },
                  "description": "<string>",
                  "fee_amount": 123
                }
              ],
              "transaction_tags": [
                {
                  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                  "key": "ExampleTagKey",
                  "value": "ExampleTagValue",
                  "dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                  "definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                  "dimension_display_name": "<string>",
                  "value_display_name": "<string>",
                  "archived_at": "2023-11-07T05:31:56Z"
                }
              ],
              "memo": "<string>",
              "metadata": {
                "custom_field": "value",
                "any valid json": "below 1kb",
                "nested": {
                  "meaning of life": 42,
                  "array": []
                }
              },
              "reference_number": "<string>"
            }
          ],
          "payouts": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "external_id": "payout-1234",
              "business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "paid_out_amount": 123,
              "fee": 123,
              "processor": "STRIPE",
              "payment_clearing_account": {
                "type": "Single_Chart_Account",
                "id": {
                  "type": "AccountId",
                  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
                },
                "name": "Current Assets",
                "account_number": "4000",
                "stable_name": {
                  "type": "StableName",
                  "stable_name": "CURRENT_ASSETS"
                },
                "account_type": {
                  "display_name": "Asset"
                },
                "account_subtype": {
                  "display_name": "Current Assets"
                }
              },
              "imported_at": "2023-11-07T05:31:56Z",
              "completed_at": "2023-11-07T05:31:56Z",
              "match": {
                "id": "6b0a3734-f4ef-4fb0-9fc1-3f59b0c1cf99",
                "match_type": "PAYOUT",
                "bank_transaction": {
                  "type": "Bank_Transaction_Data",
                  "id": "a703c8d6-cfe8-453d-a275-b92eacc6fc6e",
                  "business_id": "738ec216-e8e5-48f2-b7f2-cdc89c96b3d4",
                  "source": "STRIPE",
                  "source_transaction_id": "trxn_1sdOeLQiFAKE2LQBkcvrJw95f",
                  "source_account_id": "738ec216-e154-48f2-1111-cdc89c96b3d4",
                  "imported_at": "2024-03-19T22:09:53.290591Z",
                  "date": "2024-03-06T06:06:40Z",
                  "direction": "CREDIT",
                  "amount": 87459,
                  "counterparty_name": null,
                  "description": "Payout (po_1OqnTHISISFAKEiTVBkCiyAERwm).",
                  "account_name": "Layer Banking",
                  "categorization_status": "MATCHED"
                },
                "details": {
                  "type": "Payout_Match",
                  "id": "d224508b-b05e-41da-89de-0fbd8a573507",
                  "amount": 87459,
                  "date": "2024-03-06T00:00:00Z",
                  "description": "Payout from STRIPE.",
                  "adjustment": null
                }
              },
              "transaction_tags": [
                {
                  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                  "key": "ExampleTagKey",
                  "value": "ExampleTagValue",
                  "dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                  "definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                  "dimension_display_name": "<string>",
                  "value_display_name": "<string>",
                  "archived_at": "2023-11-07T05:31:56Z"
                }
              ],
              "memo": "<string>",
              "metadata": {
                "custom_field": "value",
                "any valid json": "below 1kb",
                "nested": {
                  "meaning of life": 42,
                  "array": []
                }
              },
              "reference_number": "<string>"
            }
          ],
          "transaction_tags": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "key": "ExampleTagKey",
              "value": "ExampleTagValue",
              "dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "dimension_display_name": "<string>",
              "value_display_name": "<string>",
              "archived_at": "2023-11-07T05:31:56Z"
            }
          ],
          "memo": "<string>",
          "metadata": {
            "custom_field": "value",
            "any valid json": "below 1kb",
            "nested": {
              "meaning of life": 42,
              "array": []
            }
          },
          "reference_number": "<string>"
        }
      ],
      "loan_payments": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "loan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "splits": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "amount": 123,
              "account": {
                "type": "AccountId",
                "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
              },
              "external_id": "<string>"
            }
          ],
          "amount": 123,
          "date": "2023-12-25",
          "defer_posting": true,
          "transaction_tags": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "key": "ExampleTagKey",
              "value": "ExampleTagValue",
              "dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "dimension_display_name": "<string>",
              "value_display_name": "<string>",
              "archived_at": "2023-11-07T05:31:56Z"
            }
          ],
          "external_id": "<string>",
          "processor": "<string>",
          "payment_clearing_account": {
            "type": "Single_Chart_Account",
            "id": {
              "type": "AccountId",
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
            },
            "name": "Current Assets",
            "account_number": "4000",
            "stable_name": {
              "type": "StableName",
              "stable_name": "CURRENT_ASSETS"
            },
            "account_type": {
              "display_name": "Asset"
            },
            "account_subtype": {
              "display_name": "Current Assets"
            }
          },
          "archived_at": "2023-11-07T05:31:56Z",
          "memo": "<string>",
          "metadata": {},
          "reference_number": "<string>"
        }
      ],
      "transaction_tags": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "key": "ExampleTagKey",
          "value": "ExampleTagValue",
          "dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "dimension_display_name": "<string>",
          "value_display_name": "<string>",
          "archived_at": "2023-11-07T05:31:56Z"
        }
      ],
      "memo": "<string>",
      "metadata": {
        "custom_field": "value",
        "any valid json": "below 1kb",
        "nested": {
          "meaning of life": 42,
          "array": []
        }
      },
      "reference_number": "<string>"
    }
  ],
  "meta": {
    "type": "request_metadata",
    "pagination": {
      "sort_by": "<string>",
      "cursor": "<string>",
      "has_more": true,
      "total_count": 123
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Type
string

Content-Type must be set to application/json.

Path Parameters

businessId
string
required

The UUID of the business to fetch payouts for.

Query Parameters

external_id
string

Filter payouts by external ID (unique idempotency key). This will always yield zero or one result.

memo_contains
string

Filter payouts by memo content. Returns payouts where the memo contains this string (case-sensitive).

memo_exact
string

Filter payouts by exact memo match. Returns payouts where the memo exactly matches this string.

completed_at_start
string<date-time>

Filter payouts by completion date. Payouts completed on or after this date will be included. ISO 8601 date format.

completed_at_end
string<date-time>

Filter payouts by completion date. Payouts completed on or before this date will be included. ISO 8601 date format.

amount_min
integer<int64>

Filter payouts by minimum amount. Only payouts with amounts greater than or equal to this value will be included.

amount_max
integer<int64>

Filter payouts by maximum amount. Only payouts with amounts less than or equal to this value will be included.

reference_number
string

Filter by exact reference number match. Returns only records with this exact reference number.

reference_numbers
string

Comma-separated list of reference numbers to filter payouts by. Only payouts with reference numbers matching any value in this list will be returned.

is_matched
boolean

Filter payout by match status. If true, only matched payouts will be returned. If false, only unmatched payouts will be returned.

Response

data
object[]
required
meta
object

Request metadata. Present on paginated list responses.